LibreOffice: UnoControlScrollBarModel Service Reference

LibreOffice LibreOffice 24.2 SDK API Reference

Loading...
Searching...
No Matches
Included Services | Public Attributes | List of all members
UnoControlScrollBarModel Service Referencepublished

specifies the standard model of a UnoControlScrollBar. More...

`import <UnoControlScrollBarModel.idl;`

Inheritance diagram for UnoControlScrollBarModel:

## Included Services
service | com::sun::star::awt::UnoControlModel
Included Services inherited from UnoControlModel
service | com::sun::star::awt::UnoControlDialogElement
| This service is present when the control model is embedded in an UnoControlDialogModel.

## Public Attributes
com::sun::star::util::Color | BackgroundColor
| specifies the RGB color to be used for the control.
long | BlockIncrement
| specifies the increment for a block move.
short | Border
| specifies the border style of the control.
long | BorderColor
| specifies the color of the border, if present
boolean | Enabled
| determines whether the control is enabled or disabled.
string | HelpText
| specifies the help text of the control.
string | HelpURL
| specifies the help URL of the control.
long | LineIncrement
| specifies the increment for a single line move.
boolean | LiveScroll
| specifies the scrolling behavior of the control.
long | Orientation
| specifies the ScrollBarOrientation of the control.
boolean | Printable
| specifies that the control will be printed with the document.
long | RepeatDelay
| specifies the mouse repeat delay, in milliseconds.
long | ScrollValue
| specifies the scroll value of the control.
long | ScrollValueMin
| specifies the minimum scroll value of the control.
long | ScrollValueMax
| specifies the maximum scroll value of the control.
com::sun::star::util::Color | SymbolColor
| specifies the RGB color to be used when painting symbols which are part of the control's appearance, such as the arrow buttons.
boolean | Tabstop
| specifies that the control can be reached with the TAB key.
long | VisibleSize
| specifies the visible size of the scroll bar.
Public Attributes inherited from UnoControlModel
string | DefaultControl
| specifies the service name of the default control for this model.

## Additional Inherited Members
Exported Interfaces inherited from UnoControlModel
interface | com::sun::star::awt::XControlModel
interface | com::sun::star::lang::XComponent
interface | com::sun::star::beans::XPropertySet
interface | com::sun::star::beans::XMultiPropertySet
interface | com::sun::star::io::XPersistObject
interface | com::sun::star::util::XCloneable
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Public Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Public Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Protected Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Protected Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Protected Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.
Protected Member Functions inherited from XPersistObject
string | getServiceName ()
| gives the service name of the object
void | write ([in] com::sun::star::io::XObjectOutputStream OutStream) raises ( com::sun::star::io::IOException )
| writes all the persistent data of the object to the stream.
void | read ([in] com::sun::star::io::XObjectInputStream InStream) raises ( com::sun::star::io::IOException )
| reads all the persistent data of the object from the stream.
Protected Member Functions inherited from XCloneable
com::sun::star::util::XCloneable | createClone ()
| creates a copy of the object.
Protected Attributes inherited from UnoControlDialogElement
long | Height
| specifies the height of the control.
string | Name
| specifies the name of the control.
string | PositionX
| specifies the horizontal position of the control.
string | PositionY
| specifies the vertical position of the control.
long | Step
| specifies the step of the control.
short | TabIndex
| specifies the tabindex of the control.
string | Tag
| specifies the tag of the control.
long | Width
| specifies the width of the control.

## Detailed Description

specifies the standard model of a UnoControlScrollBar.

## Exported Interfaces

## ◆ com::sun::star::awt::UnoControlModel

service com::sun::star::awt::UnoControlModel

## Member Data Documentation

## ◆ BackgroundColor

com::sun::star::util::Color BackgroundColor
| optionalproperty

specifies the RGB color to be used for the control.

Since
  OOo 2.0

## ◆ BlockIncrement

long BlockIncrement
| property

specifies the increment for a block move.

## ◆ Border

short Border
| property

specifies the border style of the control.

    0: No border
    1: 3D border
    2: simple border

## ◆ BorderColor

long BorderColor
| optionalproperty

specifies the color of the border, if present

Not every border style (see Border) may support coloring. For instance, usually a border with 3D effect will ignore the BorderColor setting.

Since
  OOo 2.0

## ◆ Enabled

boolean Enabled
| property

determines whether the control is enabled or disabled.

## ◆ HelpText

string HelpText
| property

specifies the help text of the control.

## ◆ HelpURL

string HelpURL
| property

specifies the help URL of the control.

## ◆ LineIncrement

long LineIncrement
| property

specifies the increment for a single line move.

## ◆ LiveScroll

boolean LiveScroll
| optionalproperty

specifies the scrolling behavior of the control.

`TRUE` means, that when the user moves the slider in the scroll bar, the content of the window is updated immediately. `FALSE` means, that the window is only updated after the user has released the mouse button.

Since
  OOo 2.0

## ◆ Orientation

long Orientation
| property

specifies the ScrollBarOrientation of the control.

## ◆ Printable

boolean Printable
| property

specifies that the control will be printed with the document.

## ◆ RepeatDelay

long RepeatDelay
| optionalproperty

specifies the mouse repeat delay, in milliseconds.

When the user presses a mouse in a control area where this triggers an action (such as scrolling the scrollbar), then usual control implementations allow to repeatedly trigger this action, without the need to release the mouse button and to press it again. The delay between two such triggers is specified with this property.

Since
  OOo 2.0

## ◆ ScrollValue

long ScrollValue
| property

specifies the scroll value of the control.

## ◆ ScrollValueMax

long ScrollValueMax
| property

specifies the maximum scroll value of the control.

## ◆ ScrollValueMin

long ScrollValueMin
| optionalproperty

specifies the minimum scroll value of the control.

If this optional property is not present, clients of the component should assume a minimal scroll value of 0.

## ◆ SymbolColor

com::sun::star::util::Color SymbolColor
| optionalproperty

specifies the RGB color to be used when painting symbols which are part of the control's appearance, such as the arrow buttons.

Since
  OOo 2.0

## ◆ Tabstop

boolean Tabstop
| optionalproperty

specifies that the control can be reached with the TAB key.

Since
  OOo 2.0

## ◆ VisibleSize

long VisibleSize
| property

specifies the visible size of the scroll bar.

The documentation for this service was generated from the following file:

- com/sun/star/awt/UnoControlScrollBarModel.idl